Bug 220440 - eclipse-fc6 failure on start
eclipse-fc6 failure on start
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 05:43 EST by Joachim Backes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 09:44:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
~/workspace/.metadata/.log (8.66 KB, text/plain)
2006-12-21 05:43 EST, Joachim Backes
no flags Details
scipt file for the steps a reported (41.74 KB, application/x-gzip)
2006-12-22 09:29 EST, Joachim Backes
no flags Details
error popup (7.35 KB, application/x-gzip)
2006-12-22 09:30 EST, Joachim Backes
no flags Details

  None (edit)
Description Joachim Backes 2006-12-21 05:43:58 EST
Description of problem:
Eclipse crashes if started (after the slpash image is shown).

Version-Release number of selected component (if applicable):
-3.2.1-23.fc6

How reproducible:
Each time

Steps to Reproduce:
1.start eclipse
2.
3.
  
Actual results:
Error occurs. Message in ~/workspace/.metadata/.log

Expected results:
Running eclipse

Additional info: Log file is attached.
Comment 1 Joachim Backes 2006-12-21 05:43:58 EST
Created attachment 144174 [details]
~/workspace/.metadata/.log
Comment 2 Andrew Overholt 2006-12-21 09:16:59 EST
/usr/local/eclipse?  That doesn't look like you're using our packages.  Also,
you're using the Sun VM which we can't support.  *However*, I know what your
problem is :)  You're using the 32-bit JVM with the 64-bit JNI bits.  If you
want to use the Sun VM, get their 64-bit VM.
Comment 3 Joachim Backes 2006-12-21 09:57:12 EST
 rpm -qa '*eclipse*'
eclipse-cdt-3.1.1-1.fc6
eclipse-platform-sdk-3.2.1-23.fc6
eclipse-subclipse-1.1.8-2.fc6
eclipse-pde-sdk-3.2.1-23.fc6
eclipse-pde-sdk-3.2.1-23.fc6
eclipse-cdt-sdk-3.1.1-1.fc6
eclipse-rcp-sdk-3.2.1-23.fc6
eclipse-emf-xsd-sdk-2.2.1-9.fc6
eclipse-pde-3.2.1-23.fc6
eclipse-gef-examples-3.2.1-2.fc6
eclipse-rcp-3.2.1-23.fc6
eclipse-jdt-3.2.1-23.fc6
eclipse-gef-sdk-3.2.1-2.fc6
eclipse-subclipse-book-1.1.8-2.fc6
eclipse-emf-sdk-2.2.1-9.fc6
eclipse-emf-examples-2.2.1-9.fc6
eclipse-emf-xsd-2.2.1-9.fc6
eclipse-emf-sdo-sdk-2.2.1-9.fc6
eclipse-platform-3.2.1-23.fc6
eclipse-emf-standalone-2.2.1-9.fc6
eclipse-emf-2.2.1-9.fc6
eclipse-emf-sdo-2.2.1-9.fc6
eclipse-jdt-3.2.1-23.fc6
eclipse-sdk-3.2.1-23.fc6
eclipse-pde-3.2.1-23.fc6
eclipse-rcp-3.2.1-23.fc6
eclipse-changelog-2.3.3-2.fc6
eclipse-rcp-sdk-3.2.1-23.fc6
eclipse-ecj-3.2.1-23.fc6
eclipse-ecj-3.2.1-23.fc6
eclipse-pde-runtime-3.2.1-23.fc6
eclipse-sdk-3.2.1-23.fc6
eclipse-jdt-sdk-3.2.1-23.fc6
eclipse-gef-3.2.1-2.fc6
eclipse-bugzilla-0.2.4-3.fc6
eclipse-pde-runtime-3.2.1-23.fc6
eclipse-platform-3.2.1-23.fc6
eclipse-jdt-sdk-3.2.1-23.fc6
eclipse-platform-sdk-3.2.1-23.fc6
Comment 4 Andrew Overholt 2006-12-21 10:09:36 EST
(In reply to comment #3)
>  rpm -qa '*eclipse*'
> [...]

:)  I don't doubt that you have the RPMs installed, but your log indicated that
eclipse was being run from /usr/local/.  This is not where our RPMs install
things so I think you might be running an upstream download.

Either way, you need to do as I said above:  get a 64-bit JVM and verify that
works.  Running with stock FC6 should be fine but a proprietary JVM of the
64-bit flavour should work with the 64-bit Eclipse packages.

Re-opening until we get this resolved.
Comment 5 Joachim Backes 2006-12-22 09:29:53 EST
Created attachment 144282 [details]
scipt file for the steps a reported
Comment 6 Joachim Backes 2006-12-22 09:30:53 EST
Created attachment 144283 [details]
error popup
Comment 7 Joachim Backes 2006-12-22 09:31:45 EST
1. ls /usr/local shows *no eclipse entries*.
2. I uninstalled eclipse, installed it again and run eclipse again. Shows the
same behaviour.
3. I have scripted all into eclipse.script (attached). The error prompt
appearing when is eclipse is started is attached to as png file.
4. JAVA is installed in /usr/local/jaca/jdk1.6.0 (from SUN). This is a 32bit
JAVA. Maybe this explains the error(s).
Comment 8 Joachim Backes 2006-12-22 09:44:19 EST
Ooops: Now installed a 64bit JAVA (jre1.5.0_10), and now, eclipse starts without
problems. Thanks for your support.

Call may be closed.

Note You need to log in before you can comment on or make changes to this bug.